Fred Tempez 3 months ago
parent
commit
a079cadc68
  1. 6
      README.md
  2. 24
      core/core.php
  3. 4
      index.php

6
README.md

@ -9,12 +9,12 @@ ZwiiCMS a été créé par un développeur de talent, [Rémi Jean](https://remij
## Configuration recommandée
* PHP 5.6 ou plus
* PHP 7.2 ou plus
* Support de .htaccess
## Téléchargement de ZwiICMS
## Téléchargement de ZwiiCMS
Pour télécharger la dernière version publiée, il faut vous rendre sur la page de téléchargemet du [site](https://zwiicms.fr/telechargements)
Pour télécharger la dernière version publiée, il faut vous rendre sur la page de téléchargement du [site](https://zwiicms.fr/telechargements)
La version github est une **version de développement** qui peut encore contenir des bugs mais elle vous permet de tester les dernières nouveautés. Cette version n'est pas recommandée en production.

24
core/core.php

@ -1611,6 +1611,30 @@ class common {
if ($this->getData(['core', 'dataVersion']) < 10405) {
$this->setData(['core', 'dataVersion', 10405]);
}
// Version 11.0.00
if ($this->getData(['core', 'dataVersion']) < 11000) {
// Option de déconnexion auto activée
$this->setData(['config','autoDisconnect',true]);
// Mettre à jour les données de langue
$this->setData(['config','translate','scriptGoogle', false ]);
$this->setData(['config','translate','showCredits', false ]);
$this->setData(['config','translate','autoDetect', false ]);
$this->setData(['config','translate','admin', false ]);
$this->setData(['config','translate','fr', false ]);
$this->setData(['config','translate','de', false ]);
$this->setData(['config','translate','en', false ]);
$this->setData(['config','translate','es', false ]);
$this->setData(['config','translate','it', false ]);
$this->setData(['config','translate','nl', false ]);
$this->setData(['config','translate','pt', false ]);
$this->setData(['core', 'dataVersion', 11000]);
}
}
}

4
index.php

@ -22,8 +22,8 @@ session_start();
/**
* Vérification de la version de PHP
*/
if(version_compare(PHP_VERSION, '5.6.0', '<')) {
exit('PHP 5.6+ required.');
if(version_compare(PHP_VERSION, '7.2.0', '<')) {
exit('PHP 7.2+ required.');
}
/*

Loading…
Cancel
Save